[med-svn] [Git][med-team/squizz][master] Add autopkgtests
Nilesh Patra
gitlab at salsa.debian.org
Sat Aug 15 11:36:32 BST 2020
Nilesh Patra pushed to branch master at Debian Med / squizz
Commits:
cd9c1037 by Nilesh Patra at 2020-08-15T15:59:25+05:30
Add autopkgtests
- - - - -
2 changed files:
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+
+pkg=squizz
+TEST_DIR=`pwd`
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp ${TEST_DIR}/test/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+export srcdir=.
+
+testnum=1
+for f in *.sh
+do
+ if [ "$f" = "sprot.sh" ];
+ then
+ continue
+ fi
+ echo "Test $testnum"
+ echo "Executing $f"
+ sed -i 's/\.\.\/src\/squizz/squizz/' $f
+ /bin/bash $f
+ echo "PASS"
+ ((testnum++))
+ echo
+done
+
View it on GitLab: https://salsa.debian.org/med-team/squizz/-/commit/cd9c10371b9331f981245da2bf0944b16069e9d3
--
View it on GitLab: https://salsa.debian.org/med-team/squizz/-/commit/cd9c10371b9331f981245da2bf0944b16069e9d3
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200815/a7fd7b78/attachment-0001.html>
More information about the debian-med-commit
mailing list